<html>

<head>
<title>Barom/Precip</title>

</head>

<body background="graph.png">

<div align="center">

<table border="1" bgcolor="#FFFFFF"><tr><td align="center">
<font size="5">&nbsp;Pressure/Precipitation&nbsp;</font>
</td></tr></table>

<?php

    print( "<SCRIPT LANGUAGE=\"javascript\">\n" );
    print( 'document.write( "<br><table border=\"2\" bgcolor=\"#808080\" cellpadding=\"5\"><tr><td><em>\n");' );
    if( isset( $interval ) )
    {
        print( 'document.write( "<a href=\"barom-precip.php?x="+document.body.offsetWidth+"&interval='.$interval.'\">Click here if the graph does not correctly fit the window</a>\n" );' );
    }
    else
    {
        $interval = 7;
        print( 'document.write( "<a href=\"barom-precip.php?x="+document.body.offsetWidth+"\">Click here if the graph does not correctly fit the window</a>\n" );' );
    }
    print( 'document.write( "</em></td></tr></table><br>\n");' );
    print( "</SCRIPT>\n" );
    
    include 'phplot.php';

    print( "<table border=\"1\" bgcolor=\"#E0E0E0\"><tr>\n" );
    print( "<form  method=\"GET\" action=\"barom-precip.php\">\n" );
    print( "<td>&nbsp;Span/Days:&nbsp<select name=\"interval\" size=\"1\">\n" );
    print( "<option value=\"".$interval."\">".$interval."</option>\n" );
    print( "<option value=\"7\">7</option>\n" );
    print( "<option value=\"14\">14</option>\n" );
    print( "<option value=\"30\">30</option>\n" );
    print( "</select>&nbsp;</td>\n" );
    print( "<input type=\"hidden\" name=\"x\" value=\"".$x."\">\n" );
    print( "<td>&nbsp;<input type=\"submit\" value=\" Display \">&nbsp;</td></form>\n" );
    print( "</tr></table><br>\n" );


    $conn = pg_Connect( "user=web dbname=wxn");

    if(!$conn)
    {
        echo "<p><b>Unable to connect to database</b></p>";
    }
    else
    {
        $pmax = 0;
        $sql = "SELECT this_date,precip,mbar FROM daily WHERE this_date > current_date - interval '".$interval." days' ORDER BY this_date";
        $result_set = pg_Exec($conn, $sql);
        $rows = pg_numrows( $result_set );
        for( $i=0; $i<$rows; $i++ )
        {
            $dtg = pg_result( $result_set, $i, 0 );
            $day = substr( $dtg, 5 );
            if( $last == $day )
            {
                $bar[$i][0] = "";
            }
            else
            {
                $bar[$i][0] = $day;
                $last = $day;
            }
        
            $mb = pg_result( $result_set, $i, 'mbar' );
            $bar[$i][1] = $mb / 10.0;
            $hg[$i] = $mb / 338.8653;
        
            $pca[$i][0] = $i;
            $precip = pg_result( $result_set, $i, 'precip' ) / 100.00;
            $pca[$i][1] = number_format( $precip, 2 );
            if( $pca[$i][1] > $pmax )
                $pmax = $pca[$i][1];
                                
        }
    
        pg_close( $conn );

    }

    if( $pmax < 0.50 )
        $pmax = 0.50;
    else
        $pmax += 0.25;

    if( !isset( $x ) )
    {
        $width = 600;
        $height = 400;
    }
    else
    {
        $x = (int)((int)$x/10)*10;      // round down to nearest 10
        $width = (int)((9*$x)/10);      // make 90% of browser screen width
        $height = (int)($width*2)/3;    // ratio is 3:2
    }

    $graph = new PHPlot( $width, $height, "image.png" );

    if( $interval > 7 )
    {
        $graph->SetPlotType( "lines" );
        $graph->SetXDataLabelAngle(90);
    }
    else
    {
        $graph->SetPlotType( "linepoints" );
    }

    $graph->SetIsInline( 1 );
    $graph->SetPrintImage(0);

    $graph->SetMarginsPixels(75,75,75,75);
    $graph->SetXDataLabelAngle(90);
    $graph->SetLabelScalePosition('1');
    $graph->SetDataType('text-data');
    $graph->SetVertTickPosition('plotleft');
    $graph->SetPlotAreaWorld(0,975,$rows,1050); // 975 mb - 1050 mb
    $graph->SetPlotType('lines');
    $graph->SetVertTickIncrement('25');
    $graph->SetPrecisionY(0);
    $graph->SetDrawYGrid(1); 
    $graph->SetDataValues($bar);
    $graph->SetDataColors(array('black'),array('black'));
    $graph->DrawGraph();

    $graph->SetLegend(array('Pressure'));
    $graph->DrawLegend(50,10,'');

    //Set Params of another Y Axis
    $graph->SetPlotAreaWorld(0,0,$rows,$pmax);
    $graph->SetDrawXDataLabels(0); //already plotted
    $graph->SetSkipBottomTick(1);
    $graph->SetPrecisionY(2);
    $graph->SetDrawYGrid(0); 
    $graph->SetVertTickIncrement('0.1');
    $graph->SetDataValues($pca);
    $graph->SetDataColors(array('blue'),array('black'));
    $graph->DrawBars();

    $graph->SetVertTickPosition('plotright');
    $graph->SetYGridLabelPos('plotright');
    $graph->SetYAxisPosition($rows);
    $graph->DrawYAxis();

    $graph->SetLegend(array('Precip'));
    $graph->SetLegendWorld(0,$pmax,'');
    $graph->SetLegendWorld(0,1100,'');
    $graph->DrawLegend($width-100,10,'');

    $graph->SetPrintImage(1);
    $graph->PrintImage();

    $rand1 = rand(500,20000);
    $rand2 = rand(500,20000);
    $rand3 = rand(500,20000);
    $rand4 = rand(500,20000);
    $rand5 = rand(500,20000);
    $md1 = md5($rand1.$rand2);
    $md2 = md5($rand3.$rand4.$rand5);
    $rq = $md1.$md2;
    print("<img src=\"image.png?".$rq."\">");

?>

</div>


</body>
</html>

