<?php

// monthly-fields.php

$fields = array (

    "range",
    "The range of months to display. If only one month is required, only the first field should be populated.",
        
    "mo_date",
    "The month of the summary.",
    
    "mtemp",
    "The mean (average) temperature for the month in degrees Fahrenheit.",
    
    "mtsd",
    "The mean soil temperature at 6\" depth. recorded for the month in degrees Fahrenheit",
    
    "cool_days",
    "The number of cooling degree days recorded for the month.",
    
    "heat_days",
    "The number of heating degree days recorded for the month.",
    
    "mwind_dir",
    "Average direction of the wind for the month. Expressed in degrees.",
    
    "mwind_spd",
    "Average wind speed for the month in MPH.",
    
    "precip",
    "Total amount of precipitation in hundredths of an inch that fell. (e.g., 100 = 1.00\")",
    
    "mbar",
    "Mean barometric pressure reading in tenths of a millibar (e.g., 10153 = 1015.3mb). Divide by ".
        "338.8653 to convert to inches of Mercury,",
    
    "mhumid",
    "Mean humdity reading for the month in percent.",
    
    "emp",
    "Electro Magnetic Pulse (lightning) count total for the month.",
    
    "mrad",
    "Background radiation count average for the month in micro-roentgens."
    
    );
    
?>

