<?php

// rcvtimes-fields.php

$fields = array (

    "call_ssid",
    "The callsign-ssid of the originating station.",

    "age",
    "Age is not actually a field, but a function within the database server that enables ".
        "lookups based on how old the data is. Explanations of the various fields affected ".
        "by this are given below.",

    "aprs_time",
    "Time the last native APRS data packet was received. This is most of the real-time weather ".
        "data, excluding EMP and radiation.",

    "a_time",
    "Time the last WXN 'A' type packet was received. Type 'A' packets contain location information ".
        "plus extended temperature data.",

    "b_time",
    "Time the last WXN 'B' type packet was received. Type 'B' packets contain extended precipitation ".
        "and EMP (Electro-Magnetic-Pulse - lightning) data.",

    "c_time",
    "Time the last WXN 'C' type packet was received. Type 'C' packets contain extended wind data.",

    "d_time",
    "Time the last WXN 'D' type packet was received. Type 'D' packets contain extended barometric ".
        "pressure, humidity and inside temperature/humidity data.",

    "e_time",
    "Time the last WXN 'E' type packet was received. The 'E' packet contain background ".
        "radiation data. Only transmitted if the WXN server has a background radiation ".
        "monitor installed.",

    );

?>

