/***************************************************************************
 *   Copyright (C) 2005 by John Bennett   *
 *   n4xi@arrl.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _WXPORT_H_
#define _WXPORT_H_

#ifndef BOOL
    typedef int BOOL;
#endif

BOOL OpenWxStn( int nBaudrate, char * szPort, int nTimeout );
void CloseWxStn( void );

BOOL WriteWxStn( char * szCmd, int nLength );
BOOL ReadWxStn( char * szResponse, int nMaxLength );
BOOL ReadWxStnBytes( unsigned char * ucResponse, int nLength );

void FlushWxStnBuffer( void );
BOOL WxStnDataReady( void );
int DrainWxStnBuffer( unsigned char * szBuffer, int nMaxLen );


#endif  // _WXPORT_H_
