<?php

// alarm-fields.php

$fields = array (

    "range",
    "The range of dates to display. If only one date is required, only the first date field should be populated.",
        
    "dtg_local",
    "The local date/time of the last reading taken.",
    
    "dtg_zulu",
    "The date/time in UTC of the last reading taken.",
    
    "wac_dir",
    "Direction of average wind for the last five minutes. Expressed in degrees.",
    
    "wac_spd",
    "Average wind speed for last five minutes",
    
    "wgc_dir",
    "Direction of highest wind gust in the last five minutes. Expressed in degrees.",
    
    "wgc_spd",
    "Highest wind gust speed in the last five minutes",
    
    "pca",
    "Taken at the top of each hour, is the amount of precipitation in hundredths of an inch that has ".
        "fallen since midnight. (e.g., 100 = 1.00\")",
    
    "pri",
    "The instantaneous precip rate. Based on the amount fallen in the last five minutes, is the amount ".
        "of precipitation in hundredths of an inch that will fall in one hour if the current rate ".
        "remains unchanged. (e.g., 100 = 1.00\")",
    
    "prh",
    "The hourly precip rate. The amount fallen in the last hour in hundredths of an inch (e.g., 100 = 1.00\")",
    
    "tcr",
    "Current temperature in degrees Fahrenheit.",
    
    "bcr",
    "Current barometric pressure reading in tenths of a millibar (e.g., 10153 = 1015.3mb). Divide by ".
        "338.8653 to convert to inches of Mercury,",
    
    "hcr",
    "Current humdity readings in percent.",
    
    "ecc",
    "Electro Magnetic Pulse (lightning) count for the last 5 minutes.",
    
    "eqc",
    "Electro Magnetic Pulse (lightning) count for the last 15 minutes.",
    
    "exc",
    "Electro Magnetic Pulse (lightning) count for the last 30 minutes.",
    
    "ehc",
    "Electro Magnetic Pulse (lightning) count for the last 60 minutes.",
    
    "edc",
    "Electro Magnetic Pulse (lightning) count for the day.",
    
    "rca",
    "Current background radiation count averaged over the last five minutes in micro-roentgens.",
    
    "rha",
    "Background radiation count average for the last sixty minutes in micro-roentgens.",
    
    "rda",
    "Background radiation count average for the day in micro-roentgens.",
    
    "rmax",
    "Maximum five minute background radiation count for the day in micro-roentgens.",
    
    "ralarm_count",
    "Number of background radiation alarm trips since midnight.",
    
    "ralarm_trip",
    "Trip point for background radiation alarm.",
    
    "uvc",
    "<em>future use</em>"
    
    );
    
?>

