<html>

<head>
<title>Heating/Cooling Degree Days</title>

<script language="JavaScript" src="ts_picker.js">
//Script by Denis Gritcyuk: tspicker@yahoo.com
//Submitted to JavaScript Kit (http://javascriptkit.com)
//Visit http://javascriptkit.com for this script
</script>

</head>

<body background="graph.png">

<div align="center">

<table border="1" bgcolor="#FFFFFF"><tr><td align="center">
<font size="5">&nbsp;Heating/Cooling Degree Days&nbsp;</font>
</td></tr></table>

<?php

    print( "<SCRIPT LANGUAGE=\"javascript\">\n" );
    print( 'document.write( "<br><table border=\"2\" bgcolor=\"#808080\" cellpadding=\"5\"><tr><td>\n");' );
    print( 'document.write( "<em><a href=\"heat-cool.php?x="+document.body.offsetWidth+"\">Click here if the graph does not correctly fit the window</a></em>\n" );' );
    print( 'document.write( "</td></tr></table><br>\n");' );
    print( "</SCRIPT>\n" );

    include 'phplot.php';

    $conn = pg_Connect( "user=web dbname=wxn");

    if(!$conn)
    {
        echo "<p><b>Unable to connect to database</b></p>";
    }
    else
    {
        if( !isset( $hctype ) )
        {
            $hctype = 0;    // month
        }

        $sql = "SELECT current_date";
        $result_set = pg_Exec( $conn, $sql );
        $rows = pg_numrows( $result_set );
        if( $rows > 0 )
        {
            $today_full = pg_result( $result_set, 0, 0 );
            $today = explode( "-", $today_full );
        }
        else
        {
            $today[0]="0000";
            $today[1]="00";
        }

        if( !isset( $date_month ) )
        {
            $datemonth = $today[0]."-".$today[1];
        }
        else
        {
            $datemonth = $date_month;
        }

        if( !isset( $date_year ) )
        {
            $dateyear = $today[0];
        }
        else
        {
            $dateyear = $date_year;
        }

        print( "<table border=\"1\" bgcolor=\"#FFFFFF\">\n" );

        print( "<form action=\"heat-cool.php\" name=\"ts1\" method=\"get\">\n" );
        print( "<tr><td bgcolor=\"#E0E0E0\">Date:&nbsp;(<em>yyyy-mm</em>)</td>\n" );
        print( "<td align=\"center\" bgcolor=\"#E0E0E0\">&nbsp;\n");
        print( "<input type=\"Text\" name=\"date_month\" value=\"".$datemonth."\" size=\"20\">\n" );
        print( "<a href=\"javascript:show_calendar('document.ts1.date_month', document.ts1.date_month.value, 2)\">\n" );
        print( "<img src=\"cal.png\" width=\"20\" height=\"20\" border=\"0\"</a>&nbsp;</td>\n" );
        print( "<td align=\"center\" bgcolor=\"#E0E0E0\">&nbsp;\n" );
        print( "<input type=\"hidden\" name=\"x\" value=\"".$x."\">\n" );
        print( "<input type=\"hidden\" name=\"hctype\" value=\"0\">\n" );
        print( "<input type=\"hidden\" name=\"date_year\" value=\"".$dateyear."\">\n" );
        print( "<input type=\"Submit\" value=\"Show Month\" valign=\"middle\">\n" );
        print( "</form>&nbsp;</td><tr>\n" );

        print( "<form action=\"heat-cool.php\" name=\"ts2\" method=\"get\">\n" );
        print( "<tr><td bgcolor=\"#E0E0E0\">Date:&nbsp;(<em>yyyy</em>)</td>\n" );
        print( "<td align=\"center\" bgcolor=\"#E0E0E0\">&nbsp;\n");
        print( "<input type=\"Text\" name=\"date_year\" value=\"".$dateyear."\" size=\"20\">\n" );
        print( "<a href=\"javascript:show_calendar('document.ts2.date_year', document.ts2.date_year.value, 1)\">\n" );
        print( "<img src=\"cal.png\" width=\"20\" height=\"20\" border=\"0\"</a>&nbsp;</td>\n" );
        print( "<td align=\"center\" bgcolor=\"#E0E0E0\">&nbsp;\n" );
        print( "<input type=\"hidden\" name=\"x\" value=\"".$x."\">\n" );
        print( "<input type=\"hidden\" name=\"hctype\" value=\"1\">\n" );
        print( "<input type=\"hidden\" name=\"date_month\" value=\"".$datemonth."\">\n" );
        print( "<input type=\"Submit\" value=\"Show Year\" valign=\"middle\">\n" );
        print( "</form>&nbsp;</td></tr>\n" );

        print( "</table><br>\n" );

        if( $hctype == 0 )
        {
            $sql = "SELECT EXTRACT( day from this_date),heat_days,cool_days FROM daily WHERE date_trunc( 'month', this_date ) = '".$datemonth."-01' ORDER BY this_date";
        }
        else
        {
            $sql = "SELECT EXTRACT( month from mo_date),heat_days,cool_days FROM monthly WHERE date_trunc( 'year', mo_date ) = '".$dateyear."-01-01' ORDER BY mo_date";
        }
        $result_set = pg_Exec($conn, $sql);
        $rows = pg_numrows( $result_set );
        for( $i=0; $i<$rows; $i++ )
        {
            $data[$i][0] = pg_result( $result_set, $i, 0 );
            $data[$i][1] = pg_result( $result_set, $i, 'heat_days' );
            $data[$i][2] = pg_result( $result_set, $i, 'cool_days' );
        }

        pg_close( $conn );

        if( !isset( $x ) )
        {
            $width = 600;
            $height = 400;
        }
        else
        {
            $x = (int)((int)$x/10)*10;      // round down to nearest 10
            $width = (int)((9*$x)/10);      // make 90% of browser screen width
            $height = (int)($width*2)/3;    // ratio is 3:2
        }

        $graph = new PHPlot( $width, $height, "image.png" );

        $graph->SetPlotType( "bar" );

        if( $hctype == 0 )
        {
            $graph->SetXLabel( "Day of Month" );
            $graph->SetTitle( $datemonth );
        }
        else
        {
            $graph->SetXLabel( "Month of Year" );
            $graph->SetTitle( $dateyear );
        }

        $graph->SetPrecisionY( 0 );
        $graph->SetDataValues( $data );
        $dcolor = array( "blue","red" );
        $bcolor = array( "black" );
        $graph->SetDataColors( $dcolor, $bcolor );
        $graph->SetLegend(array('Heating Degree Days','Cooling Degree Days'));

        //Draw it
        $graph->SetIsInline( 1 );
        $graph->DrawGraph();
    }

    $rand1 = rand(500,20000);
    $rand2 = rand(500,20000);
    $rand3 = rand(500,20000);
    $rand4 = rand(500,20000);
    $rand5 = rand(500,20000);
    $md1 = md5($rand1.$rand2);
    $md2 = md5($rand3.$rand4.$rand5);
    $rq = $md1.$md2;
    print("<img src=\"image.png?".$rq."\">");

?>

</div>


</body>
</html>
