<html>

<head>
<title>Five Minute Precipitation Data</title>
</head>

<body background="sfc_map.png">

<?php

    $conn = pg_Connect( "user=web dbname=wxn");

    if(!$conn)
    {
        print( "<p><b>Unable to connect to database</b></p>" );
    }
    else
    {
        include 'functions.php';
        include 'local/global.php';

        $sql = "SELECT current_timestamp(0),date_part('hour', current_timestamp), date_part('minute', current_timestamp)";
        $result_set = pg_Exec( $conn, $sql );
        $rows = pg_numrows( $result_set );
        if( $rows > 0 )
        {
            $today = pg_result( $result_set, 0, 0 );
            $start_hr = pg_result( $result_set, 0, 1 );
            $start_min = pg_result( $result_set, 0, 2 );
            $start_min = $start_min - $start_min % 5;
        }
        else
        {
            $today="!timestamp error!";
            $start_hr = 0;
            $start_min = 0;
        }

        if( !isset( $date_stamp ) )
        {
            $datestamp = $today;
        }
        else
        {
            $datestamp = $date_stamp;
        }

        $sql = "SELECT city,county,state FROM nodes WHERE call_ssid='$home'";
        $result_set = pg_Exec( $conn, $sql );
        $rows = pg_numrows( $result_set );
        if( $rows > 0 )
        {
            $city = pg_result( $result_set, 0, 'city' );
            $county = pg_result( $result_set, 0, 'county' );
            $state = pg_result( $result_set, 0, 'state' );

            print( "<div align=\"center\">\n" );
            print( "<table border=\"1\" bgcolor=\"#FFFFFF\"><tr><td align=\"center\">\n" );
            print( "<font size=\"5\"><b>&nbsp;" . $city . ", " . $state . " (" . $county . ")&nbsp;</b></font><br>\n" );
            print( "<font size=\"4\">Precipitation Five Minute Readings</font><br>\n" );
            print( "&nbsp;The 24-Hour Period Ending:&nbsp;".$datestamp."&nbsp;<br>\n" );
            print( "Table reads from current time backwards.\n" );
            print( "</td></tr></table>\n" );

            print( "<br>\n" );

            print( "<table border=\"1\" bgcolor=\"#FFFFFF\" width=\"50%\">\n" );

            print( "<tr>\n" );
            print( "<td align=\"center\" bgcolor=\"#FFFF00\">Hour:Min</td>\n" );
            print( "<td align=\"center\" bgcolor=\"#FFFF00\">Precipitation</td>\n" );
            print( "</tr>\n" );

            $sql = "SELECT hour,min,plt FROM precip ORDER BY hour,min";
            $result_set = pg_Exec( $conn, $sql );
            $rows = pg_numrows( $result_set );
            for( $i=0; $i<$rows; $i++ )
            {
                $hr[$i] = pg_result( $result_set, $i, 'hour' );
                $min[$i] = pg_result( $result_set, $i, 'min' );
                $plt[$i] = pg_result( $result_set, $i, 'plt' );
            }

            // locate the starting point
            for( $i=0; $i<$rows; $i++ )
            {
                if( $hr[$i] == $start_hr && $min[$i] == $start_min )
                    break;
            }

            if( $i < $rows )
            {
                while( 1 )
                {
                    $v = $plt[$i] / 100.00;
                    print( "<tr>\n" );
                    print( "<td align=\"center\" bgcolor=\"#C0C0C0\">" );
                    printf( "%02s:%02s</td>\n", $hr[$i], $min[$i] );
                    print( "<td align=\"center\" bgcolor=\"#C0C0C0\"><font color=\"".pcolor($v)."\">".number_format($v, 2)."</font>\"</td>\n" );
                    print( "</tr>\n" );
                    if( $hr[$i] == 0 && $min[$i] == 0 )
                        $i = $rows-1;
                    else
                        $i--;
                    if( $hr[$i] == $start_hr && $min[$i] == $start_min )
                        break;
                }
            }

            print( "</table></div>\n" );

        }
        else
        {
            print( "<p><center><em>Error accessing database</em></center></p>\n" );
        }
    }
?>

</body>
</html>

