<html>

<head>
<title>Temp/Humidity</title>

</head>

<body background="graph.png">

<div align="center">

<table border="1" bgcolor="#FFFFFF"><tr><td align="center">
<font size="5">&nbsp;Temperature/Humidity&nbsp;</font>
</td></tr></table>

<?php

    print( "<SCRIPT LANGUAGE=\"javascript\">\n" );
    print( 'document.write( "<br><table border=\"2\" bgcolor=\"#808080\" cellpadding=\"5\"><tr><td><em>\n");' );
    if( isset( $interval ) )
    {
        print( 'document.write( "<a href=\"temp-humid.php?x="+document.body.offsetWidth+"&interval='.$interval.'\">Click here if the graph does not correctly fit the window</a>\n" );' );
    }
    else
    {
        $interval = 1;
        print( 'document.write( "<a href=\"temp-humid.php?x="+document.body.offsetWidth+"\">Click here if the graph does not correctly fit the window</a>\n" );' );
    }
    print( 'document.write( "</em></td></tr></table><br>\n");' );
    print( "</SCRIPT>\n" );
    
    include 'phplot.php';


    print( "<table border=\"1\" bgcolor=\"#E0E0E0\"><tr>\n" );
    print( "<form  method=\"GET\" action=\"temp-humid.php\">\n" );
    print( "<td>&nbsp;Span/Days:&nbsp<select name=\"interval\" size=\"1\">\n" );
    print( "<option value=\"".$interval."\">".$interval."</option>\n" );
    print( "<option value=\"1\">1</option>\n" );
    print( "<option value=\"2\">2</option>\n" );
    print( "<option value=\"2\">2</option>\n" );
    print( "<option value=\"7\">7</option>\n" );
    print( "<option value=\"14\">14</option>\n" );
    print( "<option value=\"30\">30</option>\n" );
    print( "</select>&nbsp;</td>\n" );
    print( "<input type=\"hidden\" name=\"x\" value=\"".$x."\">\n" );
    print( "<td>&nbsp;<input type=\"submit\" value=\" Display \">&nbsp;</td></form>\n" );
    print( "</tr></table><br>\n" );


    $conn = pg_Connect( "user=web dbname=wxn");

    if(!$conn)
    {
        echo "<p><b>Unable to connect to database</b></p>";
    }
    else
    {
        if( $interval > 2 )
        {
            $sql = "SELECT this_date,mtemp,mhumid FROM daily WHERE this_date > current_date - interval '".$interval." days' ORDER BY this_date;";
        }
        else
        {
            $sql = "SELECT dtg_local,tcr,hcr FROM hourly WHERE dtg_local > current_timestamp - interval '".$interval." days' ORDER BY dtg_local;";
        }
        $result_set = pg_Exec($conn, $sql);
        $rows = pg_numrows( $result_set );
        $tmax = -999;
        $tmin = 999;
        for( $i=0; $i<$rows; $i++ )
        {
            $hcr[$i][0] = $i;        
        
            if( $interval > 2 )
            {
                $tcr[$i][0] = substr( pg_result( $result_set, $i, 0 ), 5, 5 );
                $tcr[$i][1] = pg_result( $result_set, $i, 'mtemp' );
                $hcr[$i][1] = pg_result( $result_set, $i, 'mhumid' );
            }
            else
            {
                $tcr[$i][0] = substr( pg_result( $result_set, $i, 0 ), 11, 2 );
                $tcr[$i][1] = pg_result( $result_set, $i, 'tcr' );
                $hcr[$i][1] = pg_result( $result_set, $i, 'hcr' );
            }
        
            if( $tcr[$i][1] > $tmax )
                $tmax = $tcr[$i][1];
            else if( $tcr[$i][1] < $tmin )
                $tmin = $tcr[$i][1];
        
        }
    
        pg_close( $conn );

    }

    $tmax += 20;
    $tmin -= 20;

    if( !isset( $x ) )
    {
        $width = 600;
        $height = 400;
    }
    else
    {
        $x = (int)((int)$x/10)*10;      // round down to nearest 10
        $width = (int)((9*$x)/10);      // make 90% of browser screen width
        $height = (int)($width*2)/3;    // ratio is 3:2
    }

    $graph = new PHPlot( $width, $height, "image.png" );
    $graph->SetIsInline( 1 );
    $graph->SetPrintImage(0);

    $graph->SetXDataLabelAngle(90);

    if( $interval == 1 )
    {
        $graph->SetXLabel( "Last 24 Hours" );
    }
    else if( $interval == 2 )
    {
        $graph->SetXLabel( "Last 48 Hours" );
    }

    $graph->SetPlotAreaWorld(0,$tmin,$rows,$tmax);
    $graph->SetVertTickPosition('plotleft');
    $graph->SetVertTickIncrement( '10' );
    $graph->SetSkipBottomTick(1);
    $graph->SetDataValues($tcr);
    $graph->SetDrawYGrid(0); 
    $graph->SetPlotType('linepoints');
    $graph->SetDrawDataLabels('0');
    $graph->SetPrecisionY(0);
    $graph->SetLabelScalePosition('1');
    $graph->SetDataColors(array('black'),array('black'));
    $graph->SetMarginsPixels(50,50,50,50);

    $graph->DrawGraph();

    $graph->SetLegend(array('Temperature'));
    $graph->SetLegendWorld($tmin,$tmax,'');
    $graph->DrawLegend(50,10,'');    

    $graph->SetPlotAreaWorld(0,0,$rows,100);
    $graph->SetDataValues($hcr);
    $graph->SetPlotType('linepoints');
    $graph->SetDataColors( array('blue'),array('black'));
    $graph->SetDrawXDataLabels( '0');
    $graph->SetPointShape('dot');
    $graph->SetVertTickIncrement( '10' );
    $graph->SetVertTickPosition('plotright');
    $graph->SetYGridLabelPos('plotright');
    $graph->SetYAxisPosition($rows);
    $graph->SetPrecisionY(0);
    $graph->DrawYAxis();
    $graph->DrawDots();
    $graph->DrawLines();

    $graph->SetLegend(array('Humidity'));
    $graph->SetLegendWorld(0,100,'');
    $graph->DrawLegend($width-100,10,'');

    $graph->PrintImage();

    $rand1 = rand(500,20000);
    $rand2 = rand(500,20000);
    $rand3 = rand(500,20000);
    $rand4 = rand(500,20000);
    $rand5 = rand(500,20000);
    $md1 = md5($rand1.$rand2);
    $md2 = md5($rand3.$rand4.$rand5);
    $rq = $md1.$md2;
    print("<img src=\"image.png?".$rq."\">");

?>

</div>


</body>
</html>

