<html>

<head>
<title>Five Minute Temps</title>

</head>

<body background="graph.png">

<div align="center">

<table border="1" bgcolor="#FFFFFF"><tr><td align="center">
<font size="5">&nbsp;Five Minute Temperature Readings&nbsp;</font>
</td></tr></table>

<?php

    print( "<SCRIPT LANGUAGE=\"javascript\">\n" );
    print( 'document.write( "<br><table border=\"2\" bgcolor=\"#808080\" cellpadding=\"5\"><tr><td><em>\n");' );
    if( isset( $end_hour ) )
    {
        print( 'document.write( "<a href=\"temp5-graph.php?x="+document.body.offsetWidth+"&end_hour='.$end_hour.'&end_minute='.$end_minute.'\">Click here if the graph does not correctly fit the window</a>\n" );' );
    }
    else
    {
        print( 'document.write( "<a href=\"temp5-graph.php?x="+document.body.offsetWidth+"\">Click here if the graph does not correctly fit the window</a>\n" );' );
    }
    print( 'document.write( "</em></td></tr></table><br>\n");' );
    print( "</SCRIPT>\n" );

    include 'phplot.php';

    $conn = pg_Connect( "user=web dbname=wxn");

    if( !$conn )
    {
        echo "<p><b>Unable to connect to database</b></p>";
    }
    else
    {
        if( isset( $end_hour ) )
        {
            $end_hr = $end_hour;
            $end_min = $end_minute;
        }
        else
        {
            $sql = "SELECT current_date, date_part('hour', current_timestamp), date_part('minute', current_timestamp)";
            $result_set = pg_Exec( $conn, $sql );
            $rows = pg_numrows( $result_set );
            if( $rows > 0 )
            {
                $today = pg_result( $result_set, 0, 0 );

                $end_hr = pg_result( $result_set, 0, 1 );
                $end_min = pg_result( $result_set, 0, 2 );
                $end_min -= $end_min % 5;
            }
            else
            {
                $end_hr = 0;
                $end_min = 0;
            }
        }

        $start_hr = $end_hr - 2;
        if( $start_hr < 0 )
            $start_hr += 24;
        $start_min = $end_min + 5;
        if( $start_min > 55 )
            $start_min -= 60;

        // for GET/POST
        $end_hour = $end_hr;
        $end_minute = $end_min;

        $end_time = sprintf( "%02s:%02s", $end_hr, $end_min );

        print( "<table border=\"1\" bgcolor=\"#E0E0E0\"><tr>\n" );
        print( "<form  method=\"GET\" action=\"temp5-graph.php\">\n" );
        print( "<td>&nbsp;End Hour:&nbsp<select name=\"end_hour\" size=\"1\">\n" );
        for( $i=0; $i<24; $i++ )
        {
            if( $i == $end_hr )
                print( "<option value=\"".$i."\" selected>".$i."</option>\n" );
            else
                print( "<option value=\"".$i."\">".$i."</option>\n" );
        }
        print( "</select>&nbsp;</td>\n" );
        print( "<input type=\"hidden\" name=\"x\" value=\"".$x."\">\n" );
        print( "<input type=\"hidden\" name=\"end_minute\" value=\"".$end_minute."\">\n" );
        print( "<td>&nbsp;<input type=\"submit\" value=\" Display \">&nbsp;</td></form>\n" );
        print( "</tr></table><br>\n" );

        $sql = "SELECT hour,min,tcr FROM temp ORDER BY hour,min";
        $result_set = pg_Exec( $conn, $sql );
        $rows = pg_numrows( $result_set );
        for( $i=0; $i<$rows; $i++ )
        {
            $hr[$i] = sprintf( "%02s", pg_result( $result_set, $i, 'hour' ) );
            $min[$i] = sprintf( "%02s", pg_result( $result_set, $i, 'min' ) );
            $tcr[$i] = pg_result( $result_set, $i, 'tcr' );
        }

        // find the end point
        for( $j=0; $j<$rows; $j++ )
        {
            if( $hr[$j] == $start_hr && $min[$j] == $start_min )
                break;
        }

        for( $i=0; $i<$rows; $i++ )
        {
            $temp_data[$i][0] = $hr[$j].":".$min[$j];
            $temp_data[$i][1] = $tcr[$j];

            if( $hr[$j] == $end_hr && $min[$j] == $end_min )
                break;

            if( $hr[$j] == 23 && $min[$j] == 55 )
                $j = 0;
            else
                $j++;
        }
        pg_close( $conn );
    }

    if( !isset( $x ) )
    {
        $width = 600;
        $height = 400;
    }
    else
    {
        $x = (int)((int)$x/10)*10;      // round down to nearest 10
        $width = (int)((9*$x)/10);      // make 90% of browser screen width
        $height = (int)($width*2)/3;    // ratio is 3:2
    }

    $graph = new PHPlot( $width, $height, "image.png" );

    $graph->SetPlotType( "linepoints" );
    if( isset( $today ) )
    {
        $graph->SetTitle( "Last Two Hours Ending ".$end_time." Local Time on ".$today );
    }
    else
    {
        $graph->SetTitle( "Last Two Hours Ending ".$end_time." Local Time" );
    }
    $graph->SetXDataLabelAngle( 90 );

    $graph->SetYLabel( "Temperature" );
    $dcolor = array( "black" );

    $graph->SetVertTickIncrement( 10 );
    $graph->SetPrecisionY( 0 );
    $graph->SetDataValues( $temp_data );

    $bcolor = array( "black" );
    $graph->SetDataColors( $dcolor, $bcolor );

    //Draw it
    $graph->SetIsInline( 1 );
    $graph->DrawGraph();

    $rand1 = rand(500,20000);
    $rand2 = rand(500,20000);
    $rand3 = rand(500,20000);
    $rand4 = rand(500,20000);
    $rand5 = rand(500,20000);
    $md1 = md5($rand1.$rand2);
    $md2 = md5($rand3.$rand4.$rand5);
    $rq = $md1.$md2;
    print("<img src=\"image.png?".$rq."\">");

?>

</div>

</body>
</html>

