/////////////////////////////////////////////////////////////////////
// wxnmath.h - math constants used by wxn server suite
//
//                             -------------------
//    begin                : Wed Feb  5 11:25:29 CST 2003
//    copyright            : (C) 2003-2005 by John Bennett
//    email                : n4xi@arrl.net
////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
////////////////////////////////////////////////////////////////////////////

#ifndef _WXNMATH_H_

#define _WXNMATH_H_

#define PI         3.141592654
#define STATUTE    3955.7579
#define DSTATUTE   69.041

#define radians(x) x=PI*x/180
#define degrees(x) x=180*x/PI
#define arcd(x)    x=x/STATUTE      // convert miles to degrees of arc

#define QUAD1 (PI/2)                // trig quadrants
#define QUAD2 PI
#define QUAD3 (3*PI/2)
#define QUAD4 (2*PI)



#endif
