/***************************************************************************
 *   Copyright (C) 2005 by John Bennett   *
 *   n4xi@arrl.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

//
// aprsproc.h - process aprs wx nodes
//

#ifndef _APRPSROC_H_
#define _APRSPROC_H_

#include "aprs.h"

#ifndef BOOL
    typedef int BOOL;
#endif

#define MIN_NORMAL_DELAY    5
#define MAX_NORMAL_DELAY    10

#define MIN_BUSY_DELAY      10
#define MAX_BUSY_DELAY      20


void AprsReceive( void );
void AprsPosition( void );
void AprsWxnData( void );
void AprsRandomTimerInit( void );
void SetAprsExtendedDelay( void );
time_t AprsRandomDelay( void );
void ChangeDigis( void );
void ChangeExtraText( void );
void * WxnAprsDataThread( void * pParam );
void AprsStnTypeInit( void );
void InitLists( int nSig );

#ifndef _APRSPROC_CPP_

    extern unsigned g_uUiFrameCount;
    extern char g_szUnknownQth[];
    extern Aprs g_aprs;
    extern int g_nExtraTimeOffset;
    extern int g_nAprsMinute;
    extern int g_nAprsSecond;

#endif


#endif  // _APRPROC_H_

