/***************************************************************************
 *   Copyright (C) 2005 by John Bennett   *
 *   n4xi@arrl.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _SENSORS_H_
#define _SENSORS_H_

#ifndef BOOL
    typedef int BOOL;
#endif

struct sensors
{
    BOOL bBarom;
    BOOL bOutsideHumid;
    BOOL bInsideTemp;
    BOOL bInsideHumid;
    BOOL bRainGauge;
    int nRainGaugeType;
    BOOL bOwEmp;
    BOOL bOwUv;
    BOOL bOwRad;
    BOOL bOwSoilTemp;
    BOOL bOwSoil2Temp;
    BOOL bOwSun;
    BOOL bOwInsideTemp;
    BOOL bOwOutsideTemp;
    BOOL bOwInsideHumid;
    BOOL bOwOutsideHumid;
    BOOL bOwBarom;
    BOOL bOwAspCtrl;
    BOOL bOwHtrCtrl;
};

#define SENSORS_SIZE sizeof( struct sensors )


#ifndef _WXDATA_CPP_
    extern sensors g_Sensors;
#endif


#endif  // _SENSORS_H_
